Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.jdo.metadata
Enum ClassPersistenceModifier

    java.lang.Object
      java.lang.Enum<ClassPersistenceModifier>
          javax.jdo.metadata.ClassPersistenceModifier

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ClassPersistenceModifier>

    public enum ClassPersistenceModifier

extends java.lang.Enum<ClassPersistenceModifier>

Enumeration of the persistence-modifier values for a class.

Since:
  3.0

Enum Constant Summary
`NON_PERSISTENT`
`PERSISTENCE_AWARE`
`PERSISTENCE_CAPABLE`

Method Summary
`static ClassPersistenceModifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClassPersistenceModifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSISTENCE_CAPABLE

    public static final ClassPersistenceModifier PERSISTENCE_CAPABLE

### PERSISTENCE_AWARE

    public static final ClassPersistenceModifier PERSISTENCE_AWARE

### NON_PERSISTENT

    public static final ClassPersistenceModifier NON_PERSISTENT

Method Detail

### values

    public static ClassPersistenceModifier[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClassPersistenceModifier c : ClassPersistenceModifier.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClassPersistenceModifier valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.